const fs = require("fs");
const path = require("path");
const { v4: uuidv4 } = require('uuid');
const chemin = path.join(__dirname,"..","users.json");

const createUser = (prenom,nom,callback) => {
    // ETAPE 1: LIRE users.json
    let users = [];
    try{
        const data = fs.readFileSync(chemin,'utf8');
        const dataStr = data.toString();
        users = JSON.parse(dataStr);
    }catch(error) {
        console.log(error);
        return callback(error,null)
    }
    // ETAPE 2: AJOUTER un nouvel user a un tab users
    const newUser = {id: uuidv4(),nom:nom,prenom:prenom};
    users.push(newUser);
    // ETAPE 3: ECRIRE users.json
    try{
        fs.writeFileSync(chemin,JSON.stringify(users));
        return callback(null,"ECRITURE AVEC SUCCESS");
    }catch(error){
        console.log(error);
        return callback(error,null)     
    }
}

module.exports = {createUser}